%define name krb5-fermi-getcert
%define path /usr/krb5/
%define version 2.2
%define release 1

Summary: Convert a kerberos ticket to X.509 certificate
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
URL: http://security.fnal.gov/tools/index.html
Group: Fermi
BuildArchitectures: i386
Packager: Frank J Nagy <nagy@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: krb5-fermi-base krb5-libs
Requires: openssl nspr nss nss-tools
Obsoletes: krb5-getcert

%description
This script and corresponding utilities will try to get an X.509 certficate from
the FNAL KCA and convert it into a pkcs12 file
then attempt to auto-import it into Mozilla &
FireFox if possible

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1

install -m 0755 get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert.sh
ln -sf %{path}/bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert
ln -sf %{path}/bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/getcert
install -m 0755 certutil $RPM_BUILD_ROOT/%{path}/bin/certutil
install -m 0755 pk12util $RPM_BUILD_ROOT/%{path}/bin/pk12util
install -m 0755 kx509 $RPM_BUILD_ROOT/%{path}/bin/kx509
install -m 0755 kx509-512bit $RPM_BUILD_ROOT/%{path}/bin/kx509-512bit
install -m 0755 kxlist $RPM_BUILD_ROOT/%{path}/bin/kxlist
install -m 0644 get-cert.1 $RPM_BUILD_ROOT/%{path}/man/man1/get-cert.1

%files
%attr(0755,root,root)  %dir %{path}
%attr(0755,root,root)  %dir %{path}/bin
%attr(0755,root,root)  %dir %{path}/man
%attr(0755,root,root)  %dir %{path}/man/man1

%attr(0755,root,root)  %{path}/bin/getcert
%attr(0755,root,root)  %{path}/bin/get-cert
%attr(0755,root,root)  %{path}/bin/get-cert.sh
%attr(0755,root,root)  %{path}/bin/certutil
%attr(0755,root,root)  %{path}/bin/pk12util
%attr(0755,root,root)  %{path}/bin/kx509
%attr(0755,root,root)  %{path}/bin/kx509-512bit
%attr(0755,root,root)  %{path}/bin/kxlist
%attr(0755,root,root)  %{path}/man/man1/*

%changelog
* Mon Aug 31 2015 Frank Nagy <nagy@fnal.gov> 2.2-1
- Updated to get-cert v3.4 by replacing "ps -ef" with "ps ux" so
- "Is Firefox running" test works on multiuser systems where other
- users might be running Firefox.  Replaced certutil/pk12util with
- scripts (unused) but modified get-cert.sh to user certutil/pk12util
- from /usr/bin/ and added dependence on nss-tools package

* Fri Jun 08 2012 Frank Nagy <nagy@fnal.gov> 2.1-1
- Added -q (quiet) and -o (output file spec) options
- to v2.1 of kx509.  Modified kxlist to just exit.

* Thu Apr 10 2012 Frank Nagy <nagy@fnal.gov> 2.0-2
- Merged get-cert.sh versions from SLF5 and SLF6 (which added checks
- for Firefox and/or Seamonkey current running)

* Wed Apr 09 2012 Frank Nagy <nagy@fnal.gov> 2.0-1
- Build v2 of kx509 which no longer users kxlist, modified get-cert.sh
- to not invoke kxlist

* Mon Oct 26 2009 Frank Nagy <nagy@fnal.gov> 1.0-5
- Add requirements for openssl, nspr, nss and krb5-libs packages

* Mon Oct 26 2009 Frank Nagy <nagy@fnal.gov> 1.0-4
- New version of get-cert script adds -t option to get certificate from test server

* Wed Oct 21 2009 Frank Nagy <nagy@fnal.gov> 1.0-3
- Added missing requirement for krb5-fermi-base and obsoletes krb5-getcert

* Tue Oct 13 2009 Frank Nagy <nagy@fnal.gov> 1.0-2
- Fixed file ownerships and permissions, new get-cert.sh script
- puts password on .globus/*.pem files

* Thu Apr 30 2009 Frank Nagy <nagy@fnal.gov> 1.0-1
- created from krb5-getcert made by Troy Dawson and changed to be a
- complete package with utilities from Mozilla and located in /usr/krb5
